
%define name 	 hugin
%define version  0.5
%define snapshot rc2
%define rel	 0.%snapshot.1
%define release %mkrel %rel

Summary: 	Hugin - Panorama Tools GUI
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%version-%{snapshot}.tar.bz2
Patch0:		hugin-0.5-defconfig.patch.bz2
Source11: 	%{name}.16.png
Source12: 	%{name}.32.png
Source13: 	%{name}.48.png
License: 	GPL
Group: 		Graphics
Url: 		http://hugin.sourceforge.net
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libboost-devel
BuildRequires: 	pano12-devel
BuildRequires: 	fftw2-devel
BuildRequires: 	libwxgtk-devel >= 2.5
BuildRequires:	zlib-devel 
BuildRequires:	libtiff-devel
BuildRequires:	libjpeg-devel
BuildRequires: 	libpng-devel

Requires:	pano12
%description
Hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images. 

%prep 
%setup -q -n %{name}-%version-%snapshot
%patch0 
%build
touch m4/Makefile.in

ln -s %{_libdir}/wx/config/multiarch-%_arch-linux/gtk2-ansi-release-2.6 ./wx-config

# work-around broken wxGTK2.6 package
ln -s %{_bindir}/wxrc-2.6-ansi ./wxrc
export PATH=`pwd`:$PATH

%configure2_5x --disable-rpath --disable-static 

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%find_lang %name
%find_lang nona_gui
cat nona_gui.lang >> %name.lang

perl -pi -e "s|\r\n|\n|" $RPM_BUILD_ROOT%{_datadir}/%name/xrc/data/*.xpm

# Menu icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu entries
mkdir -p  $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(hugin):command="/usr/bin/hugin" \
icon="hugin.png" needs="X11" \
section="Multimedia/Graphics" startup_notify="false" \
title="Hugin" longtitle="A panorama tools GUI " \
mimetypes="" accept_url="false" \
multiple_files="false"  
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus} 

%postun 
%{clean_menus} 

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS BUGS LICENCE README TODO
%{_bindir}/hugin
%{_bindir}/autooptimiser
%{_bindir}/nona
%{_bindir}/nona_gui
%{_bindir}/zhang_undistort
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/hugin.desktop
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%{_datadir}/mime/packages/hugin.xml
%{_datadir}/pixmaps/hugin.png

%changelog
* Sat Oct 01 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.5-0.rc2.1mud
- rebuild for Mandriva 10.1

* Sun Sep 25 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc2.1mdk
- rc2
- Requires pano12 ( for PTOptimizer )
- Requires enblend ( hugin use it to blend pictures )
- Remove old sift-related stuff

* Thu Sep  1 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc1.5mdk
- rebuild without glitz deps

* Sat Aug 20 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc1.4mdk
- Fix hugin on x86_64

* Fri Jul 08 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc1.3mdk
- Rebuild with wxGTK2.6 
- Build with unicode 
- Do not use -z with enblend

* Mon Jun 27 2005 Couriousous <couriousous@mandriva.org> 0.5-0.rc1.2mdk
- Rebuild with wxGTK2.5

* Sun Jun 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5-0.rc1.1mdk 
- Release 0.5rc1

* Sat May 21 2005 Couriousous <couriousous@mandriva.org> 0.5-0.beta6.2mdk
- Work-around some wxGTK2.6 bug

* Sat May 21 2005 Couriousous <couriousous@mandriva.org> 0.5-0.beta6.1mdk
- Beta6
- Rebuild with wxGTK 2.6 

* Sun May 15 2005 Couriousous <couriousous@mandriva.org> 0.5-0.beta4.2mdk
- Rebuild with WxWidget 2.5

* Sun Mar 27 2005 Couriousous <couriousous@mandrake.org> 0.5-0.beta4.1mdk
- 0.5 beta4

* Wed Jan 26 2005 Couriousous <couriousous@mandrake.org> 0.4-0.20050126.1mdk
- Cvs sync
- Disable french locale since it doesn't build

* Tue Jan 04 2005 Couriousous <couriousous@mandrake.org> 0.4-0.20050104.1mdk
- Cvs sync
- Some spec clean
- Use automatic install
- Add locales
- Disable "de" locale, as it doesn't build

* Wed Dec 08 2004 Couriousous <couriousous@mandrake.org> 0.4-0.20041208.1mdk
- Cvs sync

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4-0.20040725.2mdk
- fixed directory ownership (distlint)

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4-0.20040725.1mdk
- update from Couriousous <couriousous@zarb.org>:
 - sync with CVS
 - drop patch0
 - split the patented and non-patented part in two package
- disabled parallel build
- fixed buildrequires

* Fri Jul 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-1mdk 
- contributed by Couriousous <couriousous@sceen.net>
